## org.hibernate.envers.entities.mapper.relation
Class MiddleComponentData

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.MiddleComponentData

    public final class MiddleComponentData

extends Object

A data holder for a middle relation component (which is either the collection element or index): - component mapper used to map the component to and from versions entities - an index, which specifies in which element of the array returned by the query for reading the collection the data of the component is

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`MiddleComponentData(MiddleComponentMapper componentMapper, int componentIndex)`

Method Summary
`int` `getComponentIndex()`
`MiddleComponentMapper` `getComponentMapper()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiddleComponentData

    public MiddleComponentData(MiddleComponentMapper componentMapper,
                               int componentIndex)

Method Detail

### getComponentMapper

    public MiddleComponentMapper getComponentMapper()

### getComponentIndex

    public int getComponentIndex()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.